#include "Pilha.h"

void criarPilha(Pilha *P) {
     
     P->topo = NULL;
}

void empilhar(Pilha *P, int id) {

     NoPilha *no;
     
     no = (NoPilha*) malloc(sizeof(NoPilha));
     no->id = id;
     
     no->prox = P->topo;
     P->topo = no;         
}


int desempilhar(Pilha *P) {
     
     NoPilha *no;
     int id;
     
     no = P->topo;
     P->topo = no->prox;
     id = no->id;
          
     free(no);

     return id;
}

int getTopo(Pilha *P) {

    return 	P->topo->id;
}



void imprimirPilha(Pilha *P) {

     NoPilha *no;
     
     no = P->topo;

     while (no != NULL) {
     
           printf("%d ", no->id);
           no = no->prox;
     }
     
     printf("\n");
}


int pilhaVazia(Pilha *P) {
    
     return (P->topo == NULL) ? 1 : 0;
}
